Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractGeometry Class Reference

`#include <vtkExtractGeometry.h>`

Inheritance diagram for vtkExtractGeometry:

[legend]
Collaboration diagram for vtkExtractGeometry:

[legend]
List of all members.

## Detailed Description

extract cells that lie either entirely inside or outside of a specified implicit function

Date:
  2002/11/03 22:51:55

Revision:
  1.40

vtkExtractGeometry extracts from its input dataset all cells that are either completely inside or outside of a specified implicit function. Any type of dataset can be input to this filter. On output the filter generates an unstructured grid.

To use this filter you must specify an implicit function. You must also specify whethter to extract cells lying inside or outside of the implicit function. (The inside of an implicit function is the negative values region.) An option exists to extract cells that are neither inside or outside (i.e., boundary).

A more efficient version of this filter is available for vtkPolyData input. See vtkExtractPolyDataGeometry.

See also:
  vtkExtractPolyDataGeometry vtkGeometryFilter vtkExtractVOI

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (75%)
  - Martin, Ken (7%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkExtractGeometry.cxx)`
  - .`h` (`/Graphics/vtkExtractGeometry.h)`

Examples:
  vtkExtractGeometry (Examples)

Tests:
  vtkExtractGeometry (Tests)

Definition at line 66 of file vtkExtractGeometry.h.

## Public Types
typedef vtkDataSetToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
virtual void | SetImplicitFunction (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetImplicitFunction ()
virtual void | SetExtractInside (int)
virtual int | GetExtractInside ()
virtual void | ExtractInsideOn ()
virtual void | ExtractInsideOff ()
virtual void | SetExtractBoundaryCells (int)
virtual int | GetExtractBoundaryCells ()
virtual void | ExtractBoundaryCellsOn ()
virtual void | ExtractBoundaryCellsOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkExtractGeometry * | SafeDownCast (vtkObject *o)
vtkExtractGeometry * | New ()
## Protected Methods
| vtkExtractGeometry (vtkImplicitFunction *f=NULL)
| ~vtkExtractGeometry ()
void | Execute ()
## Protected Attributes
vtkImplicitFunction * | ImplicitFunction
int | ExtractInside
int | ExtractBoundaryCells

## Member Typedef Documentation

typedef vtkDataSetToUnstructuredGridFilter vtkExtractGeometry::Superclass

| Reimplemented from vtkDataSetToUnstructuredGridFilter. Definition at line 69 of file vtkExtractGeometry.h.

## Constructor & Destructor Documentation

vtkExtractGeometry::vtkExtractGeometry | ( | vtkImplicitFunction * | f = NULL | ) | `[protected]`

vtkExtractGeometry::~vtkExtractGeometry | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkExtractGeometry::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

int vtkExtractGeometry::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual int vtkExtractGeometry::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

vtkExtractGeometry* vtkExtractGeometry::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkExtractGeometry::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToUnstructuredGridFilter.

vtkExtractGeometry* vtkExtractGeometry::New | ( |  | ) | `[static]`

| Construct object with ExtractInside turned on. Reimplemented from vtkObject.

unsigned long vtkExtractGeometry::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime taking into account changes to the implicit function Reimplemented from vtkObject.

virtual void vtkExtractGeometry::SetImplicitFunction | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify the implicit function for inside/outside checks.

virtual vtkImplicitFunction* vtkExtractGeometry::GetImplicitFunction | ( |  | ) | `[virtual]`

| Specify the implicit function for inside/outside checks.

virtual void vtkExtractGeometry::SetExtractInside | ( | int |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual int vtkExtractGeometry::GetExtractInside | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual void vtkExtractGeometry::ExtractInsideOn | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual void vtkExtractGeometry::ExtractInsideOff | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual void vtkExtractGeometry::SetExtractBoundaryCells | ( | int |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

virtual int vtkExtractGeometry::GetExtractBoundaryCells | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

virtual void vtkExtractGeometry::ExtractBoundaryCellsOn | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

virtual void vtkExtractGeometry::ExtractBoundaryCellsOff | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

void vtkExtractGeometry::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkImplicitFunction* vtkExtractGeometry::ImplicitFunction`[protected]`

| Definition at line 108 of file vtkExtractGeometry.h.

int vtkExtractGeometry::ExtractInside`[protected]`

| Definition at line 109 of file vtkExtractGeometry.h.

int vtkExtractGeometry::ExtractBoundaryCells`[protected]`

| Definition at line 110 of file vtkExtractGeometry.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractGeometry.h